%define name    autopano-sift
%define version 2.4
%define rel     2
%define distsuffix plf

%define destdir %{_libdir}/%{name}

Name:           %{name}
Version:        %{version}
Release:        %mkrel %{rel}
Summary:        Automatic keypoint matching for panorama creation
Source0:        %{name}-%{version}.tar.bz2
Patch0:		autopano-sift-gtk-sharp2.patch
License:        GPL
Group:          Graphics
Url:            http://cs.tu-berlin.de/~nowozin/autopano-sift/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# this package is not usable without hugin, since it create project file for it
Requires:	hugin
BuildRequires:  gtk-sharp2-devel, glade-sharp2, mono-devel, ImageMagick 

# "Executables are not bound to a specific CPU or operating system." -- mcs manpage
BuildArch: noarch

%description
This package provide a mono-implemented automatic panorama creation.
It find keypoint between photos with the SIFT algorithm. And create
project files for hugin.

This package is in PLF because the SIFT alogorithm is patented.

%prep
%setup -q 
%patch0 -p1

%build
pushd src

# Don't build windows executable on linux ( Windows.form is not implemented in mono )
perl -pi -e 's|make \$\(MAKE_OPTIONS\) -C autopano-win32 all||' util/Makefile
make lib utils

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{destdir}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man7/
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1/
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}

pushd src
install -m755 bin/autopano-complete.sh $RPM_BUILD_ROOT%{_bindir}
perl -pi -e 's|#AUTOPANO_PATH=/usr/local/autopano-sift/bin|AUTOPANO_PATH=%{destdir}|' $RPM_BUILD_ROOT%{_bindir}/autopano-complete.sh
perl -pi -e 's|AUTOPANO_PATH=\$|#AUTOPANO_PATH=\$|' $RPM_BUILD_ROOT%{_bindir}/autopano-complete.sh

install -m644 libsift.dll  $RPM_BUILD_ROOT%{destdir}
install -m755 util/*.exe -D $RPM_BUILD_ROOT%{destdir}
install -m755 util/autopanog/autopanog.exe $RPM_BUILD_ROOT%{destdir}
for i in generatekeys generatekeys-sd showone showtwo autopano autopanog; do \
( 	echo -e '#!/bin/sh\nmono %{destdir}/'$i'.exe $@' > $RPM_BUILD_ROOT%{_bindir}/$i; \
	chmod 755 $RPM_BUILD_ROOT%{_bindir}/$i; )
done;

popd
install -m644 doc/{autopano.1,autopano-complete.1,autopanog.1,generatekeys.1,showone.1,showtwo.1} $RPM_BUILD_ROOT%{_mandir}/man1
install -m644 doc/autopano-sift.7 $RPM_BUILD_ROOT%{_mandir}/man7

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
convert -resize 48x48 src/util/autopanog/image-vanilla.png $RPM_BUILD_ROOT%{_liconsdir}/autopanog.png
convert -resize 32x32 src/util/autopanog/image-vanilla.png $RPM_BUILD_ROOT%{_iconsdir}/autopanog.png
convert -resize 16x16 src/util/autopanog/image-vanilla.png $RPM_BUILD_ROOT%{_miconsdir}/autopanog.png
install -d -m755 %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/mono %{destdir}/autopanog.exe %F
Icon=autopanog
Categories=Graphics;Photography;
StartupNotify=false
Name=Autopano
GenericName=Panorama creator
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc LICENSE README 
%{_mandir}/man?/*
%{_bindir}/*
%dir %{destdir}
%{destdir}/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/autopanog.png
%{_iconsdir}/autopanog.png
%{_liconsdir}/autopanog.png

%changelog
* Fri Jan 25 2008 Anssi Hannula <anssi@zarb.org> 2.4-2plf2008.1
- build with gtk-sharp 2.0, patch from debian-multimedia
- mkrel
- fdo menu
- buildrequires mono-devel for requires autofinder

* Sat Nov 12 2005 Couriousous <couriousous@zarb.org> 2.4-1plf
- 2.4

* Wed Jun 29 2005 Couriousous <couriousous@zarb.org> 2.3-2plf
- Fix bug with wrappers

* Sun Apr 17 2005 Couriousous <couriousous@zarb.org> 2.3-1plf
- 2.3

* Tue Feb 15 2005 Couriousous <couriousous@zarb.org> 2.2-1plf
- 2.2

* Mon Jan 3 2004 Couriousous <couriousous@zarb.org> 2.1-1plf
- First plf package

